//-----------------------------------------------------------------------------
// <copyright file="ByteToSignedNumberConverter.cs" company="eQ-3 Entwicklung GmbH">
//  Copyright (c) 2010 eQ-3 Entwicklung GmbH
// </copyright>
//-----------------------------------------------------------------------------

namespace Eq3.misc.usb_bat
{
    using System;
    using System.Collections.Generic;
    using System.Text;
    using System.Windows.Data;

    /// <summary>
    /// Wandelt ein Byte in eine Vorzeichenbehaftete Zahl um (-128 bis 127)
    /// </summary>
    public class ByteToSignedNumberConverter: IValueConverter
    {
        #region IValueConverter Member

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if ((byte)value < 0x80)
            {
                return value;
            }
            else
            {
                return (byte)value - 256;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}